GROUPMOD(8)

NOM
groupmod - Modifier la définition d'un groupe du système

SYNOPSIS

groupmod [options] GROUPE

DESCRIPTION

La commande groupmod modifie la définition du GROUPE spécifié en modifiant l'entrée correspondante de la base de données des groupes.

OPTIONS

Les options disponibles pour la commande groupmod sont :

-g, --gid GID
    The group ID of the given GROUP will be changed to GID.

    The value of GID must be a non-negative decimal integer. This value must be unique, unless the -o option is used. Values between 0 and 999 are typically reserved for system groups.

    Any files that have the old group ID and must continue to belong to GROUP, must have their group ID changed manually.

-h, --help
    Afficher un message d'aide et quitter.

-n, --new-name NOUVEAU_NOM_GROUPE
    Le nom du groupe sera modifié de GROUPE vers NOUVEAU_NOM_GROUPE.

-o, --non-unique
    When used with the -g option, allow to change the group GID to a non-unique value.

-p, --password MOT_DE_PASSE
    Mot de passe chiffré, comme renvoyé par crypt(3).

    Note: l'utilisation de cette option est déconseillée car le mot de passe (ou le mot de passe chiffré) peut être visible des utilisateurs qui affichent la liste des processus.

    Il est nécessaire de vérifier si le mot de passe respecte la politique de mots de passe du système.

CONFIGURATION

Les variables de configuration suivantes de /etc/login.defs modifient le comportement de cet outil :

MAX_MEMBERS_PER_GROUP (nombre)
    Nombre maximum de membres par entrée de groupe. Lorsque le maximum est atteint, une nouvelle entrée de groupe (ligne) est démarrée dans /etc/group (avec le même nom, même mot de passe, et même GID).

    La valeur par défaut est 0, ce qui signifie qu'il n'y a pas de limites pour le nombre de membres dans un groupe.

    Cette fonctionnalité (groupe découpé) permet de limiter la longueur des lignes dans le fichier de groupes. Ceci est utile pour s'assurer que les lignes pour les groupes NIS ne sont pas plus grandes que 1024 caractères.

    Si vous avez besoin de fixer cette limite, vous pouvez utiliser 25.

    Remarque : les groupes découpés ne sont peut-être pas pris en charge par tous les outils (même dans la suite d'outils Shadow). Vous ne devriez pas utiliser cette variable, sauf si vous en avez vraiment besoin.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

VALEURS DE RETOUR

La commande groupmod retourne les valeurs suivantes en quittant :

0
    succès

2
    erreur de syntaxe

3
    paramètre non valable pour l'option

4
    le groupe spécifié n'existe pas

6
    le groupe spécifié n'existe pas

9
    nom de groupe déjà utilisé

10
    impossible de mettre à jour le fichier des groupes

VOIR AUSSI

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).